﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Windows.Data;

namespace TestClient.UserControls
{
    /// <summary>
    /// Interaction logic for PlacerControl.xaml
    /// </summary>
    public partial class AutoFilterPlacerControl : INotifyPropertyChanged
    {
        public AutoFilterPlacerControl()
        {

            DataContext = this;
            InitializeComponent();
            SourceTable = new DataTable();
            SourceTable.Columns.Add(new DataColumn("GameName", typeof(string)));
            SourceTable.Columns.Add(new DataColumn("Creator", typeof(string)));
            SourceTable.Columns.Add(new DataColumn("Publisher", typeof(string)));
            SourceTable.Columns.Add(new DataColumn("Owner", typeof(string)));
            var row = SourceTable.NewRow();
            SourceTable.Rows.Add(row);
            row["GameName"] = "World Of Warcraft";
            row["Creator"] = "Blizzard";
            row["Publisher"] = "Blizzard";
            row["Owner"] = "Mark";
            row = SourceTable.NewRow();
            SourceTable.Rows.Add(row);
            row["GameName"] = "Halo";
            row["Creator"] = "Bungie";
            row["Publisher"] = "Microsoft";
            row["Owner"] = "Bill";
            row = SourceTable.NewRow();
            SourceTable.Rows.Add(row);
            row["GameName"] = "Gears Of War";
            row["Creator"] = "Epic";
            row["Publisher"] = "Microsoft";
            row["Owner"] = "Steve";
            //ObservableCollection<Student> students=new ObservableCollection<Student>();
            //students.Add(new Student(){FirstName = "Raj",LastName = "Sharma",RollNumber = 1});
            //students.Add(new Student() { FirstName = "Wiral", LastName = "Trest", RollNumber = 2 });
            //students.Add(new Student() { FirstName = "Chaman", LastName = "Dora", RollNumber = 3 });
            //students.Add(new Student() { FirstName = "Test", LastName = "Mina", RollNumber = null });
            //grid.ItemsSource = students;
        }

        DataTable _sourceTable;

        public DataTable SourceTable
        {
            get
            {

                return _sourceTable;
            }
            set
            {
                _sourceTable = value;
                NotifyPropertyChanged("SourceTable");

            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
    }
    public class Student
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public int? RollNumber { get; set; }
    }
}
